ChangeSet 1.1254.4.39, 2003/06/04 12:34:25-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/pci/setup-irq.c


 drivers/pci/setup-irq.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/pci/setup-irq.c b/drivers/pci/setup-irq.c
--- a/drivers/pci/setup-irq.c	Wed Jun  4 18:09:13 2003
+++ b/drivers/pci/setup-irq.c	Wed Jun  4 18:09:13 2003
@@ -64,8 +64,8 @@
 pci_fixup_irqs(u8 (*swizzle)(struct pci_dev *, u8 *),
 	       int (*map_irq)(struct pci_dev *, u8, u8))
 {
-	struct pci_dev *dev;
-	pci_for_each_dev(dev) {
+	struct pci_dev *dev = NULL;
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		pdev_fixup_irq(dev, swizzle, map_irq);
 	}
 }
